let setMenu = () => {
//    let location = window.location;
//    let position =getUrl(location.pathname,"/");
//    let path = location.pathname.substring(position+1);//obtiene el nombre de la vista jsp para activar la clase .active
//    let menu = document.getElementById("MENU");
//    let contenido = JSON.parse(Cookies.get('menu'));
//    console.log(contenido)
//    let titulo = contenido.titulo;
//    let modulo = titulo.modulo;
//    let html = '<li class="navigation-header"><span><i class="icon-menu" title="Main pages"></i>' + titulo['nombre'] + '</span></li>';
//    for (let i in modulo){
//        let categoria = modulo[i]['categoria'];
//        html+='<li >'
//            + '<a href="'+modulo[i]['url']+'">'
//            + '<i class="fa '+modulo[i]['ico']+' fa-lg"></i>'
//            + '<span>'+modulo[i]['nombre']+'</span>'
//            + '</a>';
//            for(let j in categoria){
//                let idCategoria="";
//                if (categoria[j]['url'].length>4){
//                    let categoriaUrl = categoria[j]['url'].toString();
//                    idCategoria = categoriaUrl.substr(0,categoriaUrl.length-4);//Quitar el .jsp
//                    console.log("ID CATEGORIA ;: "+idCategoria);
//                }
//                let subCategoria = modulo[i]['subCategoria'];
//                html+= '<ul>';
//                if(path ===  categoria[j]['url']){
//                    html+= '<li class="active">';
//                }else{
//                    html+= '<li>';
//                }
//                if(subCategoria===undefined){
//                    html+= '<a class="" id="'+idCategoria+'" href="../vistas/'+categoria[j]['url']+'">';
//                }else{
//                    html+= '<a class="" id="'+idCategoria+'" href="'+window.location+categoria[j]['url']+'">';
//                }
//                html+= '<span>'+categoria[j]['nombre']+'</span>'
//                    + '</a>';
//                if(subCategoria!==undefined){
//                    for(let k in subCategoria){
//                        html+='<ul class="hidden-ul" style="display: block;">';
//                        if(path ===  subCategoria[k]['url']){
//                            html+= '<li class="active">';
//                        }else{
//                            html+= '<li>';
//                        }
//                        html+='<a href="'+subCategoria[k]['url']+'">'+subCategoria[k]['nombre']+'</a></li>'
//                            +'</ul>';    
//                    }
//                }
//                html+= '</li>'
//                    + '</ul>';
//            }
//            html+='</li>';
//    }
    let location = window.location;
    let position = getUrl(location.pathname, "/");
    let path = location.pathname.substring(position + 1);//obtiene el nombre de la vista jsp para activar la clase .active
    let menu = document.getElementById("MENU");
//    let contenido = JSON.parse(localStorage.getItem("menu"));
    debugger;
    let contenido = sidebar;
//    console.log("sidebar "+JSON.stringify(sidebar));
    let html = "";
    let active = "";
    console.log(contenido)
    let menus = contenido.menu;
    /* Recorrer titulos */
//    for (var i in menus) {
        let titulo = menus[0].titulo;
        
            html += `<li class="navigation-header"><span><i class="${titulo.ico}" title="Main pages"></i>${titulo.nombre}</span></li>`;
            let modulo = titulo.modulo;
            for (let i in modulo){
            let categoria = modulo[i]['categoria'];
            html+='<li >'
                + '<a href="'+modulo[i]['url']+'">'
                + '<i class="fa '+modulo[i]['ico']+' fa-lg"></i>'
                + '<span>'+modulo[i]['nombre']+'</span>'
                + '</a>';
                for(let j in categoria){
                    let idCategoria="";
                    if (categoria[j]['url'].length>4){
                        let categoriaUrl = categoria[j]['url'].toString();
                        idCategoria = categoriaUrl.substr(0,categoriaUrl.length-4);//Quitar el .jsp
                        console.log("ID CATEGORIA ;: "+idCategoria);
                    }
                    let subCategoria = modulo[i]['subCategoria'];
                    html+= '<ul>';
                    if(path ===  categoria[j]['url']){
                        html+= '<li class="active">';
                    }else{
                        html+= '<li>';
                    }
                    if(subCategoria===undefined){
                        html+= '<a class="" id="'+idCategoria+'" href="../vistas/'+categoria[j]['url']+'">';
                    }else{
                        html+= '<a class="" id="'+idCategoria+'" href="'+window.location+categoria[j]['url']+'">';
                    }
                    html+= '<span>'+categoria[j]['nombre']+'</span>'
                        + '</a>';
                    if(subCategoria!==undefined){
                        for(let k in subCategoria){
                            html+='<ul class="hidden-ul" style="display: block;">';
                            if(path ===  subCategoria[k]['url']){
                                html+= '<li class="active">';
                            }else{
                                html+= '<li>';
                            }
                            html+='<a href="'+subCategoria[k]['url']+'">'+subCategoria[k]['nombre']+'</a></li>'
                                +'</ul>';    
                        }
                    }
                    html+= '</li>'
                        + '</ul>';
                }
                html+='</li>';
        }
//    }
    menu.innerHTML=html;
}
let getUrl = (pathname,caracter) => {
    let position = 0;
    for (let i = pathname.length-1; i > 0; i--) {
        if(pathname[i]===caracter){
            position = i;
            break;
        }
    }
    return position;
}
//let setClass = () =>{
//    let location = window.location;
//    let position =getUrl(location.pathname);
//    let path = location.pathname.substring(position+1);
//    debugger
//    $("#"+path).addClass("test");
//}
setMenu();
//setClass();
